<?xml version="1.0" encoding="Shift_JIS" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" encoding="Shift_JIS" />
	<xsl:template match="/">
		<html>
		<head>
		<title><xsl:value-of select="books/@title" /></title>
		<link rel="stylesheet" type="text/css" href="books.css" />
		</head>
		<h1><xsl:value-of select="books/@title" /></h1>
		<table border="1">
		<tr>
			<th>ISBNR[h</th>
			<th></th>
			<th></th>
			<th>oŎ</th>
			<th>i</th>
			<th></th>
		</tr>
		<xsl:for-each select="books/book[contains(name,'ASP')]">
			<xsl:sort select="pDate" data-type="text" order="descending" />
			<tr>
				<td nowrap="nowrap"><xsl:value-of select="substring-after(@isbn,'ISBN')" /></td>
				<td nowrap="nowrap">
					<xsl:choose>
						<xsl:when test="url">
							<xsl:element name="a">
								<xsl:attribute name="href">
									<xsl:value-of select="url" />
								</xsl:attribute>
								<xsl:value-of select="substring(name,1,7)" />
							</xsl:element>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="substring(name,1,7)" />
						</xsl:otherwise>
					</xsl:choose>
				</td>
				<td nowrap="nowrap"><xsl:value-of select="author" /></td>
				<td nowrap="nowrap">
					<xsl:value-of select="publish" />
				</td>
				<td nowrap="nowrap">
					<xsl:value-of select="format-number(price,'#,###')" />~
				</td>
				<td nowrap="nowrap"><xsl:value-of select="pDate" /></td>
			</tr>
		</xsl:for-each>
		<tr>
		<td colspan="4" />
		<td>
			<xsl:value-of select="sum(books/book[contains(name,'ASP')]/price)" />~
		</td>
		<td />
		</tr>
		</table>
		<div><xsl:value-of select="books/owner" /></div>
		</html>
	</xsl:template>
</xsl:stylesheet>
