<?xml version="1.0" encoding="Shift_JIS" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:variable name="key">ASP</xsl:variable>
	<xsl:attribute-set name="imgAttr">
		<xsl:attribute name="width">120</xsl:attribute>
		<xsl:attribute name="height">150</xsl:attribute>
	</xsl:attribute-set>
	<xsl:decimal-format NaN="-" />
	<xsl:template match="/">
		<html>
		<head>
		<title>ڍ׏\</title>
		<link rel="stylesheet" type="text/css" href="book2.css" />
		</head>
		<body>
		<h1>ڍ׏\</h1>
		<xsl:apply-templates select="books" />
		</body>
		</html>
	</xsl:template>
	<xsl:template match="books">
		<xsl:for-each select="book[contains(category,$key)]">
			<table border="0">
			<tr>
			<td width="150">
				<xsl:if test="logo[.!='']">
					<img xsl:use-attribute-sets="imgAttr">
						<xsl:attribute name="src">
							<xsl:value-of select="logo" />
						</xsl:attribute>
					</img>
				</xsl:if>
			</td>
			<td valign="bottom">
				<dl>
					<dt>
						<xsl:number format="01" />. 
						<xsl:value-of select="name" />
						(<xsl:value-of select="author" />)
					</dt>
					<dd>
						<xsl:apply-templates select="memo" />
						<br />
						<div style="text-align:right;">
							<xsl:value-of select="format-number(price,'#,###')" />~
						</div>
					</dd>
				</dl>
			</td>
			</tr>
			</table>
			<hr />
		</xsl:for-each>
	</xsl:template>
	<xsl:include href="inc.xsl" />
</xsl:stylesheet>
