<?xml version="1.0" encoding="Shift_JIS" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" encoding="Shift_JIS" />
	<xsl:template match="/">
		<html>
		<head>
		<title><xsl:value-of select="books/@title" /></title>
		<link rel="stylesheet" type="text/css" href="books.css" />
		<script language="JavaScript">
		<![CDATA[
		var objDoc=document.XMLDocument;
		var objStl=document.XSLDocument;
		var nodRow=objStl.selectSingleNode("//xsl:sort");
		function disp(){
			key=document.forms[0].srt.value;
			switch(key){
				case "1":
					tmp1="@isbn";
					tmp2="text";
					break;
				case "2":
					tmp1="name";
					tmp2="text";
					break;
				case "3":
					tmp1="author";
					tmp2="text";
					break;
				case "4":
					tmp1="publish";
					tmp2="text";
					break;
				case "5":
					tmp1="price";
					tmp2="number";
					break;
				case "6":
					tmp1="pDate";
					tmp2="text";
					break;
			}
			nodRow.setAttribute("select",tmp1);
			nodRow.setAttribute("data-type",tmp2);
			dSrt.innerHTML=objDoc.documentElement.transformNode(objStl);
		}
		]]>
		</script>
		</head>
		<body onload="disp()">
		<h1><xsl:value-of select="books/@title" /></h1>
		<div id="dSrt">
			<xsl:apply-templates select="books" />
		</div>
		<p>
		<form>
		\[gL[F
		<select name="srt" onchange="disp()">
			<option value="1">ISBNR[h</option>
			<option value="2">Ж</option>
			<option value="3"></option>
			<option value="4">oŎ</option>
			<option value="5">i</option>
			<option value="6"></option>
		</select>
		</form>
		</p>
		<div><xsl:value-of select="books/owner" /></div>
		</body>
		</html>
	</xsl:template>
	<xsl:template match="books">
		<table border="1">
		<tr>
			<th>ISBNR[h</th>
			<th></th>
			<th></th>
			<th>oŎ</th>
			<th>i</th>
			<th></th>
		</tr>
		<xsl:for-each select="book">
			<xsl:sort select="@isbn" data-type="text" order="ascending" />
			<tr>
				<td nowrap="nowrap"><xsl:value-of select="@isbn" /></td>
				<td nowrap="nowrap">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:value-of select="url" />
						</xsl:attribute>
						<xsl:value-of select="name" />
					</xsl:element>
				</td>
				<td nowrap="nowrap"><xsl:value-of select="author" /></td>
				<td nowrap="nowrap"><xsl:value-of select="publish" /></td>
				<td nowrap="nowrap">
					<xsl:choose>
						<xsl:when test="price[number(.) &lt;= 3000]">
							<span style="font-weight:bold;">
								<xsl:value-of select="price" />~
							</span>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="price" />~
						</xsl:otherwise>
					</xsl:choose>
				</td>
				<td nowrap="nowrap"><xsl:value-of select="pDate" /></td>
			</tr>
		</xsl:for-each>
		</table>
	</xsl:template>
</xsl:stylesheet>
