<?xml version="1.0" encoding="Shift_JIS" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" encoding="Shift_JIS" />
	<xsl:template match="/">
		<html>
		<head>
		<title><xsl:value-of select="books/@title" /></title>
		<link rel="stylesheet" type="text/css" href="books.css" />
		</head>
		<h1><xsl:value-of select="books/@title" /></h1>
		<table border="1">
		<tr>
			<th>ISBNR[h</th>
			<th></th>
			<th></th>
			<th>oŎ</th>
			<th>i</th>
			<th></th>
		</tr>
		<xsl:apply-templates select="books" />
		</table>
		<div><xsl:value-of select="books/owner" /></div>
		</html>
	</xsl:template>
	<xsl:template match="books">
		<xsl:for-each select="book">
			<xsl:sort select="price" data-type="number" order="ascending" />
			<tr>
				<td nowrap="nowrap"><xsl:value-of select="@isbn" /></td>
				<td nowrap="nowrap">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:value-of select="url" />
						</xsl:attribute>
						<xsl:value-of select="name" />
					</xsl:element>
				</td>
				<td nowrap="nowrap"><xsl:value-of select="author" /></td>
				<td nowrap="nowrap"><xsl:value-of select="publish" /></td>
				<td nowrap="nowrap">
					<xsl:choose>
						<xsl:when test="price[number(.) &lt;= 3000]">
							<span style="font-weight:bold;">
								<xsl:value-of select="price" />~
							</span>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="price" />~
						</xsl:otherwise>
					</xsl:choose>
				</td>
				<td nowrap="nowrap"><xsl:value-of select="pDate" /></td>
			</tr>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
